このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

DLNA(mediatomb)不具合? このメッセージに返信する
日時: 2009/07/11 17:51
名前: ニエト
URL:

ここのサイトを参考に自宅サーバをCentOS5.3で作って
web、メール、samba、DLNAサーバを構築したのですが、

ここ数日DLNAサーバにて以前PS3再生できていたファイルが
非対応ファイルとなって再生できなくなってしまいました。

つきましては、対処方法を教えていただきたく。

なお、以下のメッセージが自動更新のメールにありまして、こちらが疑わしいと思うのですが
どうにも対処できていません。
以前にもこのようなのがあったのでyum clean allをrootで実行してみましたが
解決されないです。

There was a problem updating the system. The following error message
was reported:

Failed to build transaction: Missing Dependency: libx264.so.55 is needed by package swfdec-0.4.3-1.el5.rf.i386 (installed)
Missing Dependency: libavcodec.so.51 is needed by package transcode-1.0.5-1.el5.rf.i386 (installed)
Missing Dependency: libavcodec.so.51 is needed by package swfdec-0.4.3-1.el5.rf.i386 (installed)
Missing Dependency: libavformat.so.51 is needed by package mediatomb-0.11.0-8.i386 (installed)
Missing Dependency: libx264.so.55 is needed by package transcode-1.0.5-1.el5.rf.i386 (installed)

If the problem persists, manual intervention may be required.
Thank You,
Your Computer



管理人様
mediatombにてトランスコードができるようになったようです。
参考:http://mediatomb.cc/pages/transcoding
記事編集 編集
Re: DLNA(mediatomb)不具合? このメッセージに返信する
日時: 2009/07/11 18:35
名前: ニエト
URL:
以下にyum upgradeの実行結果を示します。

Loaded plugins: aliases, allowdowngrade, changelog, downloadonly, fastestmirror,
: filter-data, kernel-module, kmod, list-data, merge-conf,
: priorities, protect-packages, protectbase, refresh-updatesd,
: security, tsflags, upgrade-helper, versionlock
Loading mirror speeds from cached hostfile
* rpmforge: apt.sw.be
* base: ftp.jaist.ac.jp
* updates: ftp.jaist.ac.jp
* addons: ftp.jaist.ac.jp
* extras: ftp.jaist.ac.jp
Skipping security plugin, no data
Skipping filters plugin, no data
389 packages excluded due to repository priority protections
0 packages excluded due to repository protections
Reading version lock configuration
Setting up Upgrade Process
Resolving Dependencies
Skipping security plugin, no data
Skipping filters plugin, no data
--> Running transaction check
---> Package gsm-devel.i386 0:1.0.13-1.el5.rf set to be updated
---> Package libquicktime.i386 0:1.1.2-2.el5.rf set to be updated
---> Package ffmpeg.i386 0:0.5-1.el5.rf set to be updated
--> Processing Dependency: libamrnb.so.3 for package: ffmpeg
--> Processing Dependency: libamrwb.so.3 for package: ffmpeg
--> Processing Dependency: libavcodec.so.51 for package: swfdec
--> Processing Dependency: libavcodec.so.51 for package: transcode
--> Processing Dependency: libavformat.so.51 for package: mediatomb
---> Package perl-IO-Compress.noarch 0:2.020-2.el5.rf set to be updated
--> Processing Dependency: perl(Compress::Raw::Bzip2) >= 2.020 for package: perl-IO-Compress
---> Package perl-Gtk2.i386 0:1.221-1.el5.rf set to be updated
---> Package perl-Event-RPC.noarch 0:1.01-1.el5.rf set to be updated
--> Processing Dependency: libx264.so.55 for package: swfdec
--> Processing Dependency: libx264.so.55 for package: transcode
---> Package gsm.i386 0:1.0.13-1.el5.rf set to be updated
---> Package mplayer.i386 0:1.0-0.40.rc2.el5.rf set to be updated
---> Package ffmpeg-libpostproc.i386 0:0.5-1.el5.rf set to be updated
---> Package perl-DBD-mysql.i386 0:4.012-1.el5.rf set to be updated
---> Package perl-Glib.i386 0:1.222-1.el5.rf set to be updated
---> Package perl-Geo-IPfree.noarch 0:0.6-1.el5.rf set to be updated
---> Package libmodplug.i386 0:0.8.7-1.el5.rf set to be updated
---> Package vlc.i386 0:0.9.9a-1.el5.rf set to be updated
---> Package vlc-devel.i386 0:0.9.9a-1.el5.rf set to be updated
---> Package mplayer-docs.i386 0:1.0-0.40.rc2.el5.rf set to be updated
---> Package mencoder.i386 0:1.0-0.40.rc2.el5.rf set to be updated
---> Package x264-devel.i386 0:0.0.0-0.4.20090708.el5.rf set to be updated
---> Package perl-Package-Constants.noarch 0:0.02-1.el5.rf set to be updated
---> Package xine-lib.i386 0:1.1.16.3-1.el5.rf set to be updated
---> Package x264.i386 0:0.0.0-0.4.20090708.el5.rf set to be updated
---> Package perl-Compress-Raw-Zlib.i386 0:2.020-1.el5.rf set to be updated
---> Package gstreamer-ffmpeg.i386 0:0.10.2-2.el5.rf set to be updated
---> Package ffmpeg-devel.i386 0:0.5-1.el5.rf set to be updated
--> Running transaction check
---> Package amrnb.i386 0:7.0.0.2-1.el5.rf set to be updated
--> Processing Dependency: libavcodec.so.51 for package: swfdec
--> Processing Dependency: libavcodec.so.51 for package: transcode
--> Processing Dependency: libavformat.so.51 for package: mediatomb
---> Package amrwb.i386 0:7.0.0.3-1.el5.rf set to be updated
--> Processing Dependency: libx264.so.55 for package: swfdec
--> Processing Dependency: libx264.so.55 for package: transcode
---> Package perl-Compress-Raw-Bzip2.i386 0:2.020-1.el5.rf set to be updated
--> Finished Dependency Resolution
swfdec-0.4.3-1.el5.rf.i386 from installed has depsolving problems
--> Missing Dependency: libavcodec.so.51 is needed by package swfdec-0.4.3-1.el5.rf.i386 (installed)
swfdec-0.4.3-1.el5.rf.i386 from installed has depsolving problems
--> Missing Dependency: libx264.so.55 is needed by package swfdec-0.4.3-1.el5.rf.i386 (installed)
transcode-1.0.5-1.el5.rf.i386 from installed has depsolving problems
--> Missing Dependency: libx264.so.55 is needed by package transcode-1.0.5-1.el5.rf.i386 (installed)
mediatomb-0.11.0-8.i386 from installed has depsolving problems
--> Missing Dependency: libavformat.so.51 is needed by package mediatomb-0.11.0-8.i386 (installed)
transcode-1.0.5-1.el5.rf.i386 from installed has depsolving problems
--> Missing Dependency: libavcodec.so.51 is needed by package transcode-1.0.5-1.el5.rf.i386 (installed)


GUIからsynaptic package managerを使い破損しているのを直そうとしていますが、うまくいきません。
記事編集 編集
Re: DLNA(mediatomb)不具合? このメッセージに返信する
日時: 2009/07/12 18:24
名前: stranger
URL: http://ja.528p.com/
dagさんの扱うパッケージがあまりにも多いので
バージョン管理が出来ていないのでしょう

ffmpeg-0.5-1.el5.rf.i386.rpmにすると
libavcodec.so.52 libavformat.so.52
なってしまう
x264-0.0.0-0.4.20090708.el5.rf.i386.rpmにすると
libx264.so.68
になってしまう

一つ前のバージョンにもどす
一時的に上記のファイル(develも含む)のupdateをyumで除外する設定にする
記事編集 編集
Re: DLNA(mediatomb)不具合? このメッセージに返信する
日時: 2009/07/14 01:27
名前: ニエト
URL:
ありがとうございます。
いただいた情報を元に調べていこうと思います。
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -